;InnoSetupVersion=5.1.2

[Setup]
AppName=EncryptOnClick
AppVerName=EncryptOnClick
AppId=EncryptOnClick
AppPublisher=2BrightSparks
AppPublisherURL=http://www.2BrightSparks.com
AppSupportURL=http://www.2BrightSparks.com
AppUpdatesURL=http://www.2BrightSparks.com
AppMutex=EncryptOnClick
DefaultDirName={pf}\2BrightSparks\EncryptOnClick
DefaultGroupName=2BrightSparks\EncryptOnClick
UninstallDisplayIcon={app}\EncryptOnClick.exe
UninstallDisplayName=EncryptOnClick
OutputBaseFilename=EncryptOnClick_Setup
Compression=lzma
PrivilegesRequired=none
InfoBeforeFile=embedded\InfoBefore.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\EncryptOnClick.exe"; DestDir: "{app}"; Flags: overwritereadonly ignoreversion 
Source: "{app}\EOC.ini"; DestDir: "{app}"; Flags: overwritereadonly ignoreversion 
Source: "{app}\ReadMe_EN.rtf"; DestDir: "{app}"; Flags: overwritereadonly ignoreversion 
Source: "{app}\EncryptOnClick.CHM"; DestDir: "{app}"; Flags: overwritereadonly ignoreversion 
Source: "{app}\XceedZip.dll"; DestDir: "{app}"; Flags: regserver overwritereadonly ignoreversion 

[Registry]
Root: HKLM; Subkey: "Software\Microsoft\Windows\Help"; ValueName: "EncryptOnClick.chm"; ValueType: String; ValueData: "{app}"; OnlyBelowVersion: 4.9.3001,0.0; Flags: uninsdeletevalue noerror 

[INI]
FileName: "{app}\MailingList.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.2brightsparks.com/mailinglist.html"; 
FileName: "{app}\Forums.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.2brightsparks.com/bb/"; 

[Run]
Filename: "{app}\EncryptOnClick.exe"; Description: "{cm:LaunchProgram,EncryptOnClick}"; Flags: postinstall skipifsilent nowait
Filename: "{app}\EncryptOnClick.CHM"; WorkingDir: "{app}"; Description: "{cm:CMRunHelpFile}"; Flags: shellexec postinstall unchecked skipifsilent nowait
Filename: "http://www.2brightsparks.com/mailinglist.html"; Description: "{cm:CMRunMailingList}"; Flags: shellexec postinstall unchecked skipifsilent nowait

[Icons]
Name: "{group}\EncryptOnClick"; Filename: "{app}\EncryptOnClick.exe"; 
Name: "{group}\Help"; Filename: "{app}\EncryptOnClick.CHM"; 
Name: "{group}\{cm:CMMailingList}"; Filename: "{app}\MailingList.url"; 
Name: "{group}\{cm:CMOnlineForums}"; Filename: "{app}\Forums.url"; 
Name: "{group}\{cm:UninstallProgram,EncryptOnClick}"; Filename: "{uninstallexe}"; 
Name: "{userdesktop}\EncryptOnClick"; Filename: "{app}\EncryptOnClick.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\EncryptOnClick"; Filename: "{app}\EncryptOnClick.exe"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; 
Name: "quicklaunchicon"; Description: "{cm:CreateQuickLaunchIcon}"; GroupDescription: "{cm:AdditionalIcons}"; 

[UninstallDelete]
Type: files; Name: "{app}\MailingList.url"; 
Type: files; Name: "{app}\Forums.url"; 

[CustomMessages]
en.NameAndVersion=%1 version %2
en.AdditionalIcons=Additional icons:
en.CreateDesktopIcon=Create a &desktop icon
en.CreateQuickLaunchIcon=Create a &Quick Launch icon
en.ProgramOnTheWeb=%1 on the Web
en.UninstallProgram=Uninstall %1
en.LaunchProgram=Launch %1
en.AssocFileExtension=&Associate %1 with the %2 file extension
en.AssocingFileExtension=Associating %1 with the %2 file extension...
en.CMRunHelpFile=Read the help file
en.CMRunMailingList=Join the mailing list
en.CMOnlineForums=Online Forums
en.CMMailingList=Mailing List

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "en"; MessagesFile: "embedded\en.isl"; LicenseFile: "embedded\enLicense.txt"; InfoBeforeFile: "embedded\enInfoBefore.rtf"; 
